// +build ignore

// This sample file demonstrates use of the libnmdc.go library. It's excluded
//  when building the library package, but you can run it via `go run libnmdc_sample.go`.

package main

import (
	"fmt"
	"libnmdc"
)

func main() {

	opts := libnmdc.HubConnectionOptions{
		Address: "127.0.0.1",
		Self:    libnmdc.UserInfo{Nick: "slowpoke9"},
	}
	hub := opts.Connect()

	for {
		event := <-hub.OnEvent
		switch event.EventType {
		case libnmdc.EVENT_CONNECTION_STATE_CHANGED:
			fmt.Printf("Connection -- %s (%s)\n", event.StateChange.Format(), event.Message)

		case libnmdc.EVENT_PUBLIC:
			fmt.Printf("Message from '%s': '%s'\n", event.Nick, event.Message)
			if event.Message == "how are you" {
				hub.SayPublic("good thanks!")
			}

		default:
			fmt.Printf("%+v\n", event)

		}
	}
}
